Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 224258

Summary: Please add support for Cardbus flash card adapter
Product: [Fedora] Fedora Reporter: Jason Merrill <jason>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: jonstanley, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-08 21:54:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 427887    

Description Jason Merrill 2007-01-24 21:16:31 UTC
Description of problem:

Trying to use the Delkin Devices eFilm 6 in 1 PC Card Adapter (DDFLS6 1-AD) to
read the SD card from my digital camera fails under FC6.  The PCMCIA system
recognizes it, but fails to read from it.  When I eject the card again, the
kernel gets confused, and crashes 2/3 times.


Version-Release number of selected component (if applicable):


How reproducible:

Plug in the card, try to use it.

Actual results:

Jan 23 18:29:17 caliban kernel: pccard: PCMCIA card inserted into slot 0
Jan 23 18:29:17 caliban kernel: cs: memory probe 0xd0000000-0xd7ffffff:
excluding 0xd0000000-0xd7ffffff
Jan 23 18:29:17 caliban kernel: cs: memory probe 0xb4000000-0xbfffffff:
excluding 0xb4000000-0xb47fffff 0xb6000000-0xb7ffffff
Jan 23 18:29:17 caliban kernel: pcmcia: registering new device pcmcia0.0
Jan 23 18:29:18 caliban kernel: hda: Memory Card Adapter II, CFA DISK drive
Jan 23 18:29:18 caliban kernel: ide0 at 0x4100-0x4107,0x410e on irq 3
Jan 23 18:29:18 caliban kernel: hda: max request size: 128KiB
Jan 23 18:29:18 caliban kernel: hda: 1000448 sectors (512 MB) w/1KiB Cache,
CHS=1954/16/32
Jan 23 18:29:48 caliban kernel:  hda:<4>hda: lost interrupt
Jan 23 18:30:18 caliban kernel: hda: lost interrupt
Jan 23 18:30:28 caliban kernel: hda: lost interrupt
Jan 23 18:30:28 caliban kernel: hda: task_in_intr: status=0x51 { DriveReady
SeekComplete Error }
Jan 23 18:30:28 caliban kernel: hda: task_in_intr: error=0x40 {
UncorrectableError }, LBAsect=0, sector=0
Jan 23 18:30:28 caliban kernel: ide: failed opcode was: unknown
Jan 23 18:30:28 caliban kernel: end_request: I/O error, dev hda, sector 0
Jan 23 18:30:28 caliban kernel: Buffer I/O error on device hda, logical block 0
...
Jan 23 19:32:25 caliban kernel: pccard: card ejected from slot 0
Jan 23 19:32:25 caliban kernel: BUG: sleeping function called from invalid
context at kernel/rwsem.c:20
Jan 23 19:32:25 caliban kernel: in_atomic():0, irqs_disabled():1
Jan 23 19:32:25 caliban kernel:  [<c04051db>] dump_trace+0x69/0x1af
Jan 23 19:32:25 caliban kernel:  [<c0405339>] show_trace_log_lvl+0x18/0x2c
Jan 23 19:32:25 caliban kernel:  [<c04058ed>] show_trace+0xf/0x11
Jan 23 19:32:25 caliban kernel:  [<c04059ea>] dump_stack+0x15/0x17
Jan 23 19:32:25 caliban kernel:  [<c0439482>] down_read+0x12/0x20
Jan 23 19:32:25 caliban kernel:  [<c04f0b11>] pci_find_device+0x58/0xa7
Jan 23 19:32:25 caliban kernel:  [<c05654b5>] init_hwif_default+0x28/0xeb
Jan 23 19:32:25 caliban kernel:  [<c0566100>] ide_unregister+0x240/0x573
Jan 23 19:32:25 caliban kernel:  [<e0c7b018>] ide_release+0x18/0x28 [ide_cs]
Jan 23 19:32:25 caliban kernel:  [<e0c7b030>] ide_detach+0x8/0x14 [ide_cs]
Jan 23 19:32:25 caliban kernel:  [<c057718d>] pcmcia_device_remove+0x54/0xde
Jan 23 19:32:25 caliban kernel:  [<c0552a08>] __device_release_driver+0x60/0x78
Jan 23 19:32:25 caliban kernel:  [<c0552c55>] device_release_driver+0x2b/0x3a
Jan 23 19:32:25 caliban kernel:  [<c055236b>] bus_remove_device+0x7b/0x8d
Jan 23 19:32:25 caliban kernel:  [<c05513c2>] device_del+0x10d/0x141
Jan 23 19:32:25 caliban kernel:  [<c05513fe>] device_unregister+0x8/0x10
Jan 23 19:32:25 caliban kernel:  [<c0576d78>] pcmcia_card_remove+0x58/0x77
Jan 23 19:32:25 caliban kernel:  [<c05777ca>] ds_event+0x56/0x87
Jan 23 19:32:25 caliban kernel:  [<c05734af>] send_event+0x41/0x7e
Jan 23 19:32:25 caliban kernel:  [<c05736b3>] socket_shutdown+0xc/0xd8
Jan 23 19:32:25 caliban kernel:  [<c0573d80>] pccardd+0x13b/0x1ee
Jan 23 19:32:25 caliban kernel:  [<c04369db>] kthread+0xc0/0xed
Jan 23 19:32:25 caliban kernel:  [<c0404dab>] kernel_thread_helper+0x7/0x10
Jan 23 19:32:25 caliban kernel: DWARF2 unwinder stuck at
kernel_thread_helper+0x7/0x10
Jan 23 19:32:25 caliban kernel: Leftover inexact backtrace:
Jan 23 19:32:25 caliban kernel:  =======================


Expected results:


Additional info:

There seems to be a patch to support these cards that has been sitting around
for a couple of years, but is now in Bart's IDE tree:

http://lkml.org/lkml/2007/1/13/44

I'm hoping that it can be integrated into the Fedora kernel soon.

Comment 1 Jon Stanley 2008-01-08 01:55:22 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 2 Jason Merrill 2008-01-08 20:19:24 UTC
I gave away the card in question, so I can't reproduce the bug.